
#ifndef MAPS_H
#define MAPS_H

/*****************************************************************
	Filename: Maps.h
	Purpose: This file is used to store the defines pertaining
		to the maps. All defines from define.h have been
		placed in here for ease of reading and finding
		the the proper defines.
	Contents: The file is broken down in the following manner:
		I.		Map name Defines.
		II.		Map Entrance Points
		III.	Elevator Defines
		IV.		Random Encounter Defines
*****************************************************************/

// Area Names
#define AREA_VAULT_13				(0)
#define AREA_SHADY_SANDS			(1)
#define AREA_VAULT_15				(2)
#define AREA_RAIDERS				(3)
#define AREA_JUNKTOWN				(4)
#define AREA_HUB					(5)
#define AREA_BROTHERHOOD			(6)
#define AREA_NECROPOLIS				(7)
#define AREA_BONEYARD				(8)
#define AREA_CATHEDRAL				(9)
#define AREA_GLOW					(10)
#define AREA_MILITARY_BASE			(11)

// Map Names
#define MAP_RND_DESERT_1				(0)
#define MAP_RND_DESERT_2				(1)
#define MAP_RND_DESERT_3				(2)
#define MAP_NECROPOLIS_HALL				(3)
#define MAP_NECROPOLIS_HOTEL			(4)
#define MAP_NECROPOLIS_WATERSHED		(5)
#define MAP_VAULT_13					(6)
#define MAP_VAULT_15_ENTRANCE			(7)
#define MAP_VAULT_15					(8)
#define MAP_NECROPOLIS_VAULT			(9)
#define MAP_JUNKTOWN_ENTRANCE			(10)
#define MAP_JUNKTOWN_CASINO				(11)
#define MAP_JUNKTOWN_KILLIAN			(12)
#define MAP_BROTHERHOOD_ENTRANCE		(13)
#define MAP_BROTHERHOOD_12				(14)
#define MAP_BROTHERHOOD_34				(15)
#define MAP_RADSCORPIONS_CAVE			(16)
#define MAP_CATHEDRAL					(17)
#define MAP_CATHEDRAL_TOWER				(18)
#define MAP_RND_CITY					(19)
#define MAP_RND_COAST_1					(20)
#define MAP_RND_COAST_2					(21)
#define MAP_SPECIAL_RND_COLATRUCK		(22)
#define MAP_SPECIAL_RND_FSAUSER			(23)
#define MAP_RAIDERS						(24)
#define MAP_SHADY_SANDS_EAST			(25)
#define MAP_SHADY_SANDS_WEST			(26)
#define MAP_GLOW_ENTRANCE				(27)
#define MAP_LA_ADYTUM					(28)
#define MAP_LA_FOLLOWERS				(29)
#define MAP_MB_ENTRANCE					(30)
#define MAP_MB_STRONGHOLD				(31)
#define MAP_MB_VATS						(32)
#define MAP_MASTERS_LAIR_12				(33)
#define MAP_MASTERS_LAIR_34				(34)
#define MAP_V13_ENTRANCE				(35)
#define MAP_HUB_ENTRANCE				(36)
#define MAP_DEATHCLAW_CAVE				(37)
#define MAP_HUB_DOWNTOWN				(38)
#define MAP_HUB_HEIGHTS					(39)
#define MAP_HUB_OLDTOWN					(40)
#define MAP_HUB_WATER_MERCHANTS			(41)
#define MAP_GLOW_123					(42)
#define MAP_GLOW_456					(43)
#define MAP_LA_BLADES					(44)
#define MAP_LA_RIPPERS					(45)
#define MAP_LA_GUN_RUNNERS				(46)
#define MAP_CATHEDRAL_CRATER			(47)
#define MAP_MB_ENTRANCE_RUINS			(48)
#define MAP_RND_MOUNTAIN1				(49)
#define MAP_RND_MOUNTAIN2				(50)
#define MAP_SPECIAL_RND_FOOT			(51)
#define MAP_SPECIAL_RND_TARDIS			(52)
#define MAP_SPECIAL_RND_TALKCOW			(53)
#define MAP_SPECIAL_RND_USEDCARS		(54)
#define MAP_BROTHERHOOD_ENT_RUINS		(55)
#define MAP_RND_DESERT_CARAVAN1			(56)
#define MAP_RND_DESERT_CARAVAN2			(57)
#define MAP_RND_MOUNTAIN_CARAVAN1		(58)
#define MAP_RND_MOUNTAIN_CARAVAN2		(59)
#define MAP_VIPERS						(60)
#define MAP_RND_DESERT_CARAVAN3			(61)
#define MAP_RND_MOUNTAIN_CARAVAN3		(62)
#define MAP_RND_DESERT_CARAVAN4			(63)
#define MAP_RND_MOUNTAIN_CARAVAN4		(64)
#define MAP_IRWINS_FARM					(65)

#define map_is(x)					(cur_map_index == x)
#define not_map_is(x)				(cur_map_index != x)

// Map Entrance Points
#define override_map_start_hex(x,y,z)		override_map_start(x%200,x/200,y,z)

// Elevators

// Random Encounters

/* The following define is to force critter X to face critter Y */
#define face_critter(Y,X)					anim(X,ANIMATE_ROTATION,rotation_to_tile(tile_num(X),tile_num(Y)))

/* The following define will set a rotation arc for placement
   of critters. */
#define FixRotationArc(X)			while (X < 0) do begin	\
										X += 6;				\
									end						\
									if (X > 5) then			\
										X := X%6

/* The following define will give you the inverse (Y) of a
   rotation (X) */
#define InvertRotation(X,Y)			X+=3;				\
									FixRotationArc(X)

#endif // MAPS_H
